- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Member Functions | Private Attributes | List of all members
libetonyek::IWORKXMLContextEmpty Class Reference

`#include <IWORKXMLContextBase.h>`

Inheritance diagram for libetonyek::IWORKXMLContextEmpty:

## Protected Member Functions
| IWORKXMLContextEmpty (IWORKXMLParserState &)
virtual void | attribute (int name, const char *value)
| Process an attribute. More...
virtual IWORKXMLContextPtr_t | element (int token)
| Create a context for parsing a child element. More...
virtual void | text (const char *value)
| Process textual content of an element. More...
const boost::optional< ID_t > & | getId () const
const boost::optional< ID_t > & | getRef () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
virtual void | startOfElement ()
| Signalize the start of an element. More...
virtual void | endOfAttributes ()
virtual void | endOfElement ()
| Signalize the end of an element. More...

## Private Attributes
boost::optional< ID_t > | m_id
boost::optional< ID_t > | m_ref

## Additional Inherited Members
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0

## Constructor & Destructor Documentation

libetonyek::IWORKXMLContextEmpty::IWORKXMLContextEmpty | ( | IWORKXMLParserState & |  | ) |
| explicit protected

## Member Function Documentation

void libetonyek::IWORKXMLContextEmpty::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| protected virtual

Process an attribute.

Attributes are fed to the current element's context one by one.

Implements libetonyek::IWORKXMLContext.

IWORKXMLContextPtr_t libetonyek::IWORKXMLContextEmpty::element | ( | int | name | ) |
| protected virtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

const boost::optional< ID_t > & libetonyek::IWORKXMLContextEmpty::getId | ( |  | ) | const
| protected

const boost::optional< ID_t > & libetonyek::IWORKXMLContextEmpty::getRef | ( |  | ) | const
| protected

void libetonyek::IWORKXMLContextEmpty::text | ( | const char * | value | ) |
| protected virtual

Process textual content of an element.

This function can be called more than once if the element has mixed content.

Implements libetonyek::IWORKXMLContext.

## Member Data Documentation

boost::optional<ID_t> libetonyek::IWORKXMLContextEmpty::m_id
| private

Referenced by attribute(), and getId().

boost::optional<ID_t> libetonyek::IWORKXMLContextEmpty::m_ref
| private

Referenced by attribute(), and getRef().

The documentation for this class was generated from the following files:

- IWORKXMLContextBase.h
- IWORKXMLContextBase.cpp